великий энд могучий в архивах

Автор lihacheff, июля 10, 2016, 21:19:46

« предыдущая - следующая »

lihacheff

Добрый вечер!
право слово как-то неловко отвлекать Вас такой мелочью...
Ну да ладно, как доктору:
Писал кое-какой документ и к концу недели неуспевал. Запаковал варианты doc-файлов ВинРаром с паролем (там несколько не-для-всех инфа), и отправил на свое личное мыло, чтобы в выходные доделать.
Сегодня утром достал, распаковал. Все прошло штатно. ЛибрОфис открыл, поработал и понял что важных файлов я так в пятницу себе и не отослал. Еду на работу.
Т.к. жаль было того, что успел настучать на работе - запаковал с паролем через стандартный архиватор ХуБунты в zip.
А на работе я несколько был удивлен. Вот что я увидел (см. вложение).

Во как! Что это и как это?
Прошу прощения за неразборчивый почерк

butjapka

Попробуйте
sudo add-apt-repository ppa:frol/zip-i18n
sudo apt-get update
sudo apt-get install p7zip-full p7zip p7zip-rar

lihacheff

Цитата: butjapka от июля 10, 2016, 22:03:14
Попробуйте
sudo add-apt-repository ppa:frol/zip-i18n
sudo apt-get update
sudo apt-get install p7zip-full p7zip p7zip-rar



Вы не поверите, но пробовал.
Сейчас повторил, нету такого более:
========
E: Для пакета «p7zip-rar» не найден кандидат на установку
========

Есть подозрение, что что-то с локализацией не так... Гугля, встречал, что нужно в какой-то файл ручками вписать всякие koi8, koi8-, cp1251...
Прошу прощения за неразборчивый почерк

butjapka

Цитата: lihacheff от июля 10, 2016, 22:11:46
Вы не поверите, но пробовал.
Сейчас повторил, нету такого более:
========
E: Для пакета «p7zip-rar» не найден кандидат на установку
========
Есть подозрение, что что-то с локализацией не так... Гугля, встречал, что нужно в какой-то файл ручками вписать всякие koi8, koi8-, cp1251...

а можно посмотреть
lsb_release -a
у меня все пакеты установлены
michael@michael-PC ~> sudo apt-get install p7zip-full p7zip p7zip-rar
[sudo] пароль для michael:
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
p7zip-rar is already the newest version (9.20.1~ds.1-4).
p7zip is already the newest version (9.20.1~dfsg.1-5+i18n3).
p7zip-full is already the newest version (9.20.1~dfsg.1-5+i18n3).
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 2 пакетов не обновлено.


lihacheff

lsb_release -a:

No LSB modules are available.
Distributor ID:   Ubuntu
Description:   Ubuntu 16.04 LTS
Release:   16.04
Codename:   xenial

Прошу прощения за неразборчивый почерк

lihacheff

а может кто мне свой /etc/apt/sources.list подарить?
думается мне, что свой я сломал, поудалял и нужное, теперь вот установить вкусняшку не могу.
Прошу прощения за неразборчивый почерк

butjapka

июля 11, 2016, 17:04:21 #6 Последнее редактирование: июля 11, 2016, 17:15:38 от butjapka
Цитата: lihacheff от июля 11, 2016, 16:06:41
а может кто мне свой /etc/apt/sources.list подарить?
думается мне, что свой я сломал, поудалял и нужное, теперь вот установить вкусняшку не могу.

выложите содержимое своего sources.list или прикрепите, сравним. Думаю подарок мало что поможет.
а ppa все лежат в /etc/apt/sources.list.d/
Можете попробовать такой вариант

lihacheff

муть какая-то...

liho@liho-Aspire-5733Z:~$ sudo apt-get update
Hit:1 http://repo.yandex.ru/yandex-disk/deb stable InRelease
Hit:2 http://ru.archive.ubuntu.com/ubuntu xenial InRelease                     
Hit:3 http://ru.archive.ubuntu.com/ubuntu xenial-updates InRelease             
Hit:4 http://ru.archive.ubuntu.com/ubuntu xenial-backports InRelease           
Hit:5 http://ppa.launchpad.net/appgrid/stable/ubuntu xenial InRelease         
Hit:6 http://security.ubuntu.com/ubuntu xenial-security InRelease             
Hit:7 http://archive.canonical.com/ubuntu xenial InRelease                     
Hit:8 http://ppa.launchpad.net/frol/zip-i18n/ubuntu xenial InRelease           
Hit:9 http://ppa.launchpad.net/gnumdk/lollypop/ubuntu xenial InRelease
Hit:10 http://ppa.launchpad.net/starws-box/deadbeef-player/ubuntu xenial InRelease
/usr/share/appgrid/appdata/helpers.py:9: PyGIWarning: Soup was imported without specifying a version first. Use gi.require_version('Soup', '2.4') before import to ensure that the right version gets loaded.
  from gi.repository import GLib, GObject, Soup
Чтение списков пакетов... Готово
W: http://repo.yandex.ru/yandex-disk/deb/dists/stable/InRelease: Signature by key EE2C95AB58DC2B0138D16B4FEFC4571D7C90E5AF uses weak digest algorithm (SHA1)
Прошу прощения за неразборчивый почерк

lihacheff

Цитировать
Можете попробовать такой вариант


попробовал, еще страшнее получилось:

liho@liho-Aspire-5733Z:~$ sudo apt-get update
Hit:1 http://ru.archive.ubuntu.com/ubuntu xenial InRelease
Hit:2 http://repo.steampowered.com/steam precise InRelease                     
Hit:3 http://ru.archive.ubuntu.com/ubuntu xenial-security InRelease           
Hit:4 http://archive.canonical.com/ubuntu xenial InRelease                     
Hit:5 http://ru.archive.ubuntu.com/ubuntu xenial-updates InRelease             
Get:6 http://ppa.launchpad.net/me-davidsansome/clementine-dev/ubuntu xenial InRelease [17,6 kB]
Hit:7 http://ru.archive.ubuntu.com/ubuntu xenial-proposed InRelease           
Get:8 http://apt.mucommander.com stable InRelease [11,4 kB]                   
Get:9 http://ru.archive.ubuntu.com/ubuntu xenial-backports InRelease [92,2 kB]
Ign:10 http://apt.mucommander.com unstable InRelease                           
Get:11 http://ppa.launchpad.net/gnome3-team/gnome3/ubuntu xenial InRelease [23,8 kB]
Hit:12 http://apt.mucommander.com unstable Release                             
Get:13 http://ppa.launchpad.net/ubuntu-mozilla-daily/ppa/ubuntu xenial InRelease [23,8 kB]
Get:14 http://apt.mucommander.com unstable Release.gpg [197 B]                 
Hit:15 http://ppa.launchpad.net/webupd8team/java/ubuntu vivid InRelease       
Get:16 http://ppa.launchpad.net/diesch/testing/ubuntu xenial InRelease [22,4 kB]
Получено 191 kБ за 1с (96,5 kБ/c)                                   
/usr/share/appgrid/appdata/helpers.py:9: PyGIWarning: Soup was imported without specifying a version first. Use gi.require_version('Soup', '2.4') before import to ensure that the right version gets loaded.
  from gi.repository import GLib, GObject, Soup
Чтение списков пакетов... Готово
W: http://apt.mucommander.com/dists/stable/InRelease: Signature by key 01D3A215A628488935729662030BBF253A687AFF uses weak digest algorithm (SHA1)
W: http://apt.mucommander.com/dists/unstable/Release.gpg: Signature by key 01D3A215A628488935729662030BBF253A687AFF uses weak digest algorithm (SHA1)

Прошу прощения за неразборчивый почерк

el guahiro

Сделайте, в терминале:
sudo apt-get install unar
И распаковывайте архивы этой программой. Будет без кракозябр, проверено не только на Xubuntu (на скриншоте ниже MxLinux). Запаковывать можно чем угодно.
Можно сделать действие ПКМ на команду unar %f
Искренне Ваш

lihacheff

Цитата: el guahiro от апреля 01, 2017, 23:35:45

И распаковывайте архивы этой программой


Плачу и рыдаю!
Не работает...
Команда - unar %f
Использовать уведомления о запуске
Условия появления - *.rar;*.zip;*.7z и "Другие файлы"
Прошу прощения за неразборчивый почерк